minimal setup for reproducing assumed TITAN BER decoder bug.

This directory contains a super stripped down version of the
3GPP definition of RANAP, basically only implementing the CommonID
message.

The CommonID in APER format (000f4010000001001740095046239134707780f3)
has been transcoded to BER format, where it is expressed as
a01c80010f8101013014a0123010800117810101800846239134707780f3

Following the BER tree renders the following:

[0] (3 elem)
  [0] (1 byte) 0F
  [1] (1 byte) 01
  SEQUENCE (1 elem)
    [0] (1 elem)
      SEQUENCE (3 elem)
        [0] (1 byte) 17
        [1] (1 byte) 01
        [0] (8 byte) 46239134707780F3

or in "unber" format:

<C O="0" T="[0]" TL="2" V="28">
    <P O="2" T="[0]" TL="2" V="1">&#x0f;</P>
    <P O="5" T="[1]" TL="2" V="1">&#x01;</P>
    <C O="8" T="[UNIVERSAL 16]" TL="2" V="20" A="SEQUENCE">
        <C O="10" T="[0]" TL="2" V="18">
            <C O="12" T="[UNIVERSAL 16]" TL="2" V="16" A="SEQUENCE">
                <P O="14" T="[0]" TL="2" V="1">&#x17;</P>
                <P O="17" T="[1]" TL="2" V="1">&#x01;</P>
                <P O="20" T="[0]" TL="2" V="8">&#x46;&#x23;&#x91;&#x34;&#x70;&#x77;&#x80;&#xf3;</P>
            </C O="30" T="[UNIVERSAL 16]" A="SEQUENCE" L="18">
        </C O="30" T="[0]" L="20">
    </C O="30" T="[UNIVERSAL 16]" A="SEQUENCE" L="22">
</C O="30" T="[0]" L="30">

I believe the BER data is correctly encoded.  However, when running the RANAP_Selftests.TC_commonId,
I get the following output:

RANAP_Selftests.ttcn:16: Dynamic test case error: While BER-decoding type '@RANAPMIN.RANAP-PDU': While decoding '@RANAPMIN.RANAP-PDU' type: Alternative 'initiatingMessage': While decoding '@RANAPMIN.InitiatingMessage' type: Component 'value_': While checking tags (expecting [2]): Tag mismatch: Received: [UNIVERSAL 16].

I have no idea why TITAN would assume that there should be a [CONTEXT 2] instead of the [UNIVERSAL 16] (SEQUENCE).

